* {
    margin: 0;
    box-sizing: border-box;
}

body {
    background: #0a0a12;
}

canvas {
    display: block;
    width: 100%;
    height: 100vh;
    position: sticky;
    top: 0;
    left: 0;
    z-index: 1000;
}

input[type="range"] {
    position: fixed;
    bottom: 20px;
    left: 20px;
    width: calc(100% - 40px);
    height: 40px;
    background: #0a0a12;
    border: 1px solid #fff;
    border-radius: 5px;
    overflow: hidden;
    z-index: 1000;
}

#loading {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #fff;
    font-size: 24px;
    font-weight: bold;
    text-align: center;
    z-index: 1000;
}

body {
    height: 700vh;
    font-family: Arial, Helvetica, sans-serif;
}

#frame {
    position: fixed;
    bottom: 0;
    left: 0;
    background: black;
    color: #fff;
    font-size: 10px;
    font-weight: bold;
    padding: 4px;
    z-index: 1000;
}